interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        AA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36595']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:27 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjl9ol.2.1505364147360.Z0FBQUFBQlp1Z2l6QjhEUHgzT2Q0eHUtOUZiOVN0RWFSU3E3VnBjTHRZQ1ZTOFFQOUZaUENkd1oxS3BDT1RYQi04UGRmZ1g2ZFAzdVg4OHVYQnZRT3JFQXFMQlBzekJsTlN4ZFVneGM4VHltRmI4SUJBUkRodmd3eVFqOXVraV9KblA4N18zZzVheHE;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:27
          GMT; secure', 'session_tracker=H0M1VIe0qiVNFgOUgv.0.1505364147356.Z0FBQUFBQlp1Z2l6eW5fLUxsSE1FbzBwdXJIaDd2S3V0V094U21OcDFPVGRaNGVzZDd5LV9raUlXMjQwd1JfRE1UeW5UNW90N0wya3lzZTJYazJpaDJYZUZ6REZ6XzdCVVhoNnowWVIyaHAwQ0RQdi1raEE2SmJmOHU5aWJ2cWxaclQxaWNNRGlhang;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:27
          GMT; secure', edgebucket=d42Rcwic7N8To5JBZZ; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1743-ORD]
      X-Timer: ['S1505364147.340960,VS0,VE568']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjl9ol.2.1505364147360.Z0FBQUFBQlp1Z2l6QjhEUHgzT2Q0eHUtOUZiOVN0RWFSU3E3VnBjTHRZQ1ZTOFFQOUZaUENkd1oxS3BDT1RYQi04UGRmZ1g2ZFAzdVg4OHVYQnZRT3JFQXFMQlBzekJsTlN4ZFVneGM4VHltRmI4SUJBUkRodmd3eVFqOXVraV9KblA4N18zZzVheHE;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:27
          GMT; secure', 'session_tracker=H0M1VIe0qiVNFgOUgv.0.1505364147356.Z0FBQUFBQlp1Z2l6eW5fLUxsSE1FbzBwdXJIaDd2S3V0V094U21OcDFPVGRaNGVzZDd5LV9raUlXMjQwd1JfRE1UeW5UNW90N0wya3lzZTJYazJpaDJYZUZ6REZ6XzdCVVhoNnowWVIyaHAwQ0RQdi1raEE2SmJmOHU5aWJ2cWxaclQxaWNNRGlhang;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:27
          GMT; secure', edgebucket=d42Rcwic7N8To5JBZZ; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=a%2BD7StYWYk9YXIx7MfSv6R3yySrDsQNVkvOq0or7utu7EFxU81uIGyMc9yjqcqEtXdQsI9o6ApE%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=d42Rcwic7N8To5JBZZ; loid=00000000000drjl9ol.2.1505364147360.Z0FBQUFBQlp1Z2l6QjhEUHgzT2Q0eHUtOUZiOVN0RWFSU3E3VnBjTHRZQ1ZTOFFQOUZaUENkd1oxS3BDT1RYQi04UGRmZ1g2ZFAzdVg4OHVYQnZRT3JFQXFMQlBzekJsTlN4ZFVneGM4VHltRmI4SUJBUkRodmd3eVFqOXVraV9KblA4N18zZzVheHE;
          session_tracker=H0M1VIe0qiVNFgOUgv.0.1505364147356.Z0FBQUFBQlp1Z2l6eW5fLUxsSE1FbzBwdXJIaDd2S3V0V094U21OcDFPVGRaNGVzZDd5LV9raUlXMjQwd1JfRE1UeW5UNW90N0wya3lzZTJYazJpaDJYZUZ6REZ6XzdCVVhoNnowWVIyaHAwQ0RQdi1raEE2SmJmOHU5aWJ2cWxaclQxaWNNRGlhang]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/controversial.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 17935 characters]
        WzjXqzEBAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['12034']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:28 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1743-ORD]
      X-Timer: ['S1505364148.326102,VS0,VE191']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=H0M1VIe0qiVNFgOUgv.0.1505364148345.Z0FBQUFBQlp1Z2kwcm4tMnlCb2NSZmw3Q1NGYksyM0NCYXJnVW5uWklYYlV2ZUdoZGdFWGZFOWVHNG5TbWNTT2JxNE9IWFhvSHZ2NVlPcWllRmRNUmxhNWE4QWxHOXFhRkxIb1I5WS1ickQ2aEx2TjMyUEhwcXhkOUhnalA4V0t5bzd5Q0tFRmRSZEY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:28
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=5NwPL2JFdgnJfC9rFWM%2BfrQuiLO%2BV6ODNUwgdboxHRfOm30ey3JTZ99B4tmvX4eEzHVXvXFNPb4%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
